// Create and show the dialog
var dlg = Factory.loadui('grepdlg.ui');
dlg.exec();

// Extract the parameters
var search = dlg.child('search_edit').text;
var files = dlg.child('files_edit').text;
var matchcase = dlg.child('case_check').checked;
var shownumbers = dlg.child('shownumbers_check').checked;

// Build the command line
var options = '';
if ( !matchcase ) {
    options += '-i ';
}
if ( shownumbers ) {
    options += '-n ';
}

cmd = 'grep -H '+options+"'"+search+"' "+files;

// Print the command line
print( cmd );
